> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Catalog Family Images



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/catalog-families/{familyId}/images
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/images:
    post:
      tags:
        - Catalog Family Images
      summary: Create Catalog Family Images
      operationId: CatalogFamilyImagesController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCatalogFamilyImageDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogFamilyImageDto'
components:
  schemas:
    CreateCatalogFamilyImageDto:
      type: object
      properties:
        url:
          type: string
        filename:
          type: string
      required:
        - url
        - filename
    CatalogFamilyImageDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        url:
          type: string
        filename:
          type: string
        isPrimary:
          type: boolean
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - familyId
        - url
        - filename
        - isPrimary
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds

````